Moving to Java 7?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Moving to Java 7?

grampajohn
Administrator
As an indication of how messed up my head was last night, it turns out I deployed a version of common 1.0.0-SNAPSHOT compiled with a java 1.7 setup, without setting the 1.6 compatibility flag. I will get that fixed very soon.

This raises a question: When should we transition to 1.7 or even 1.8? Is there a reason to force everyone to upgrade to 1.7 before the 2013 competitions? I cannot think of one, but I am open to suggestions. For the time being, I will re-deploy a module compiled with 1.6.

My feeling is that if we are going to make the switch, it should be in the next week or two, and no later. Absent an agreement followed up by announcement in this list, you can assume that we will stick with 1.6 compatibility for the 2013 season.

Cheers -

John
Reply | Threaded
Open this post in threaded view
|

Re: Moving to Java 7?

gbuijs
I think we should stay on 1.6 until the July tournament, and change should after.

I'll see if there are any issues running things on 1.7, but will stay on 1.6 for development.